Bug 201766 - CVE-2006-4020 PHP buffer overread flaw
Summary: CVE-2006-4020 PHP buffer overread flaw
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: php   
(Show other bugs)
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Joe Orton
QA Contact: David Lawrence
URL:
Whiteboard: impact=moderate,source=gentoo,reporte...
Keywords: Security
Depends On:
Blocks: 206937
TreeView+ depends on / blocked
 
Reported: 2006-08-08 19:28 UTC by Josh Bressers
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version: RHSA-2006-0669
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-21 10:55:00 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2006:0669 normal SHIPPED_LIVE Moderate: php security update 2006-09-21 04:00:00 UTC

Description Josh Bressers 2006-08-08 19:28:21 UTC
PHP buffer overflow flaw

A buffer overflow flaw was found in the way PHP executes an argument
swap via the sscanf function.  The below URLs contain more
information.

http://bugs.php.net/bug.php?id=38322
http://www.securityfocus.com/archive/1/442438/30/0/threaded
http://bugs.gentoo.org/show_bug.cgi?id=143126


This issue also affects RHEL3
This issue also affects RHEL2.1

Comment 1 Josh Bressers 2006-08-09 12:35:41 UTC
The upstream patch is here:
http://cvs.php.net/viewvc.cgi/php-src/ext/standard/scanf.c?r1=1.31.2.2&r2=1.31.2.2.2.1

Comment 5 Red Hat Bugzilla 2006-09-21 10:55:03 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0669.html



Note You need to log in before you can comment on or make changes to this bug.